Package it.ernytech.tdlib

## Class TdApi.UserProfilePhotos

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.UserProfilePhotos

Enclosing class:
  TdApi

    public static class TdApi.UserProfilePhotos
    extends TdApi.Object

Contains part of the list of user photos.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.Photo[]` `photos` A list of photos.
`int` `totalCount` Total number of user profile photos.

### Constructor Summary

Constructors
`UserProfilePhotos()` Default constructor.
`UserProfilePhotos​(int totalCount, TdApi.Photo[] photos)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### totalCount

    public int totalCount

Total number of user profile photos.

#### photos

    public TdApi.Photo[] photos

A list of photos.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### UserProfilePhotos

    public UserProfilePhotos()

Default constructor.

#### UserProfilePhotos

    public UserProfilePhotos​(int totalCount,
                             TdApi.Photo[] photos)

Constructor for initialization of all fields.

Parameters:
  `totalCount` - Total number of user profile photos.
  `photos` - A list of photos.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR